AddApiGatewayTargetOptions
- class aws_cdk.aws_bedrock_agentcore_alpha.AddApiGatewayTargetOptions(*, api_gateway_tool_configuration, rest_api, credential_provider_configurations=None, description=None, gateway_target_name=None, metadata_configuration=None, stage=None)
Bases:
object(experimental) Options for adding an API Gateway target to a gateway.
- Parameters:
api_gateway_tool_configuration (
Union[ApiGatewayToolConfiguration,Dict[str,Any]]) – (experimental) Tool configuration defining which operations to expose.rest_api (
IRestApi) – (experimental) The REST API to integrate with Must be in the same account and region as the gateway [disable-awslint:prefer-ref-interface].credential_provider_configurations (
Optional[Sequence[ICredentialProviderConfig]]) – (experimental) Credential providers for authentication API Gateway targets support IAM and API key authentication. Default: - Empty array (service handles IAM automatically)description (
Optional[str]) – (experimental) Optional description for the gateway target. Default: - No descriptiongateway_target_name (
Optional[str]) – (experimental) The name of the gateway target Valid characters are a-z, A-Z, 0-9, _ (underscore) and - (hyphen). Default: - auto generatemetadata_configuration (
Union[MetadataConfiguration,Dict[str,Any],None]) – (experimental) Metadata configuration for passing headers and query parameters Allows you to pass additional context through headers and query parameters. Default: - No metadata configurationstage (
Optional[str]) – (experimental) The stage name of the REST API. Default: - Uses the deployment stage from the RestApi (restApi.deploymentStage.stageName)
- Stability:
experimental
- ExampleMetadata:
fixture=default infused
Example:
gateway = agentcore.Gateway(self, "MyGateway", gateway_name="my-gateway" ) api = apigateway.RestApi(self, "MyApi", rest_api_name="my-api" ) # Uses IAM authorization for outbound auth by default api_gateway_target = gateway.add_api_gateway_target("MyApiGatewayTarget", rest_api=api, api_gateway_tool_configuration=agentcore.ApiGatewayToolConfiguration( tool_filters=[agentcore.ApiGatewayToolFilter( filter_path="/pets/*", methods=[agentcore.ApiGatewayHttpMethod.GET] ) ] ) )
Attributes
- api_gateway_tool_configuration
(experimental) Tool configuration defining which operations to expose.
- Stability:
experimental
- credential_provider_configurations
(experimental) Credential providers for authentication API Gateway targets support IAM and API key authentication.
- Default:
Empty array (service handles IAM automatically)
- Stability:
experimental
- description
(experimental) Optional description for the gateway target.
- Default:
No description
- Stability:
experimental
- gateway_target_name
(experimental) The name of the gateway target Valid characters are a-z, A-Z, 0-9, _ (underscore) and - (hyphen).
- Default:
auto generate
- Stability:
experimental
- metadata_configuration
(experimental) Metadata configuration for passing headers and query parameters Allows you to pass additional context through headers and query parameters.
- Default:
No metadata configuration
- Stability:
experimental
- rest_api
prefer-ref-interface].
- Stability:
experimental
- Type:
(experimental) The REST API to integrate with Must be in the same account and region as the gateway [disable-awslint
- stage
(experimental) The stage name of the REST API.
- Default:
Uses the deployment stage from the RestApi (restApi.deploymentStage.stageName)
- Stability:
experimental